net.sf.jasperreports.compilers

## Class JavaScriptClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.mozilla.javascript.DefiningClassLoader
    - - net.sf.jasperreports.compilers.JavaScriptClassLoader

- All Implemented Interfaces:
    org.mozilla.javascript.GeneratedClassLoader

      public class JavaScriptClassLoader
      extends org.mozilla.javascript.DefiningClassLoader

  Class loader used to load classes generated for JavaScript expression evaluation.
  Version:
    $Id: JavaScriptClassLoader.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JavaScriptCompiledEvaluator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptClassLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.mozilla.javascript.Script` | `createScript(int classIndex, JavaScriptCompiledData compiledData)`
    `protected void` | `finalize()`
    `protected java.lang.Class<? extends org.mozilla.javascript.Script>` | `loadExpressionClass(JavaScriptCompiledData.CompiledClass compiledClass)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.mozilla.javascript.DefiningClassLoader

      `defineClass, linkClass, loadClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptClassLoader

          public JavaScriptClassLoader()

  - ### Method Detail

    - #### createScript

          public org.mozilla.javascript.Script createScript(int classIndex,
                                                   JavaScriptCompiledData compiledData)

    - #### loadExpressionClass

          protected java.lang.Class<? extends org.mozilla.javascript.Script> loadExpressionClass(JavaScriptCompiledData.CompiledClass compiledClass)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com